<?php

//ESTANDAR
$sqlclass_1 = "SELECT SUM(cantidad) as cantidad FROM talla_producto WHERE referencia_producto='$class_referencia' AND talla='$class_talla'";
$queryclass_1 = $conn->query($sqlclass_1);
$rowclass_1 = $queryclass_1->fetch_assoc();
$cantidad_estandar_class = $rowclass_1['cantidad'];

//PRODUCCION
$sqlclass_2 = "SELECT SUM(cantidad) as produccion FROM produccion_detalle WHERE referencia_producto='$class_referencia' AND talla='$class_talla'";
$queryclass_2 = $conn->query($sqlclass_2);
$rowclass_2 = $queryclass_2->fetch_assoc();
$cantidad_produccion_class = $rowclass_2['produccion'];

//NOVEDAD ENTRADA
$sqlclass_3 = "SELECT SUM(cantidad) as entrada FROM novedad WHERE referencia_producto='$class_referencia' AND talla='$class_talla' AND movimiento='Entrada'";
$queryclass_3 = $conn->query($sqlclass_3);
$rowclass_3 = $queryclass_3->fetch_assoc();
$entrada_class = $rowclass_3['entrada'];

//NOVEDAD SALIDA
$sqlclass_4 = "SELECT SUM(cantidad) as salida FROM novedad WHERE referencia_producto='$class_referencia' AND talla='$class_talla' AND movimiento='Salida'";
$queryclass_4 = $conn->query($sqlclass_4);
$rowclass_4 = $queryclass_4->fetch_assoc();
$salida_class = $rowclass_4['salida'];

//DESPACHOS
$sqlclass_5 = "SELECT SUM(cantidad) as despachos FROM despacho_detalle WHERE referencia_producto='$class_referencia' AND talla='$class_talla' AND "
        . "(estado='Proceso'  OR estado='Enviado'  OR estado='Recibido')";
$queryclass_5 = $conn->query($sqlclass_5);
$rowclass_5 = $queryclass_5->fetch_assoc();
$despachos_class = $rowclass_5['despachos'];

//DISPONIBLE
$disponible_class = ($cantidad_estandar_class + $cantidad_produccion_class + $entrada_class) - ($salida_class + $despachos_class);


//*****************************************************************************
//EXISTENCIA EN TABLA referencia_disponible
$sqlclass_c1 = "SELECT COUNT(id) as contar FROM referencia_disponible WHERE referencia_producto='$class_referencia' AND talla='$class_talla'";
$queryclass_c1 = $conn->query($sqlclass_c1);
$rowclass_c1 = $queryclass_c1->fetch_assoc();
$contar_referencia_disponible = $rowclass_c1['contar'];

if ($disponible_class == 0) {


    $sql_disponible_delete = "DELETE FROM referencia_disponible WHERE referencia_producto='$class_referencia' AND talla='$class_talla'";
    if ($conn->query($sql_disponible_delete) === TRUE) {
        
    } else {
        echo "Error: " . $sql_disponible_delete . "<br>" . $conn->error;
    }
} else {
    if ($contar_referencia_disponible > 0) {

        $sql_disponible = "UPDATE  referencia_disponible SET cantidad='$disponible_class' WHERE referencia_producto='$class_referencia' AND talla='$class_talla'";
        if ($conn->query($sql_disponible) === TRUE) {
            
        } else {

            echo "Error: " . $sql_disponible . "<br>" . $conn->error;
        }
    } else {

        $sql_disponible = "INSERT INTO referencia_disponible(id, referencia_producto, talla, cantidad) "
                . "VALUES (NULL, '$class_referencia', '$class_talla', '$disponible_class')";
        if ($conn->query($sql_disponible) === TRUE) {
            
        } else {

            echo "Error: " . $sql_disponible . "<br>" . $conn->error;
        }
    }
}
//*****************************************************************************




//PEDIDOS
$sqlclass_6 = "SELECT SUM(cantidad) as pedidos FROM pedido_detalle WHERE referencia_producto='$class_referencia' AND talla='$class_talla' AND "
        . " estado='Recibido'";
$queryclass_6 = $conn->query($sqlclass_6);
$rowclass_6 = $queryclass_6->fetch_assoc();
$pedidos_class = $rowclass_6['pedidos'];

//CIERRE
$sqlclass_7 = "SELECT SUM(cantidad) as cierre FROM cierre_detalle WHERE referencia_producto='$class_referencia' AND talla='$class_talla'";
$queryclass_7 = $conn->query($sqlclass_7);
$rowclass_7 = $queryclass_7->fetch_assoc();
$cierre_class = $rowclass_7['cierre'];

//CIERRE PEDIDO
$sqlclass_8 = "SELECT SUM(cantidad) as cierre_pedido FROM cierre_pedido_detalle WHERE referencia_producto='$class_referencia' AND talla='$class_talla'";
$queryclass_8 = $conn->query($sqlclass_8);
$rowclass_8 = $queryclass_8->fetch_assoc();
$cierre_pedido_class = $rowclass_8['cierre_pedido'];



//*****************************************************************************
//EXISTENCIA EN TABLA referencia_disponible
$sqlclass_c2 = "SELECT COUNT(id) as contar FROM referencia_produccion WHERE referencia_producto='$class_referencia' AND talla='$class_talla'";
$queryclass_c2 = $conn->query($sqlclass_c2);
$rowclass_c2 = $queryclass_c2->fetch_assoc();
$contar_referencia_produccion = $rowclass_c2['contar'];


if(isset($rowclass_c2['contar'])){
    $contar_referencia_produccion = $rowclass_c2['contar'];

}else{
    $contar_referencia_produccion = 0;

}

$produccion_class = $pedidos_class + $cierre_class - $despachos_class - $cierre_pedido_class - $disponible_class;

if ($produccion_class <= 0) {
    
    $sql_produccion_delete = "DELETE FROM referencia_produccion WHERE referencia_producto='$class_referencia' AND talla='$class_talla'";
    if ($conn->query($sql_produccion_delete) === TRUE) {
        
    } else {
        echo "Error: " . $sql_produccion_delete . "<br>" . $conn->error;
    }
    
} else {
    if ($contar_referencia_produccion > 0) {

        $sql_producion = "UPDATE  referencia_produccion SET cantidad='$produccion_class' WHERE referencia_producto='$class_referencia' AND talla='$class_talla'";
        if ($conn->query($sql_producion) === TRUE) {
            
        } else {

            echo "Error: " . $sql_producion . "<br>" . $conn->error;
        }
    } else {

        $sql_producion = "INSERT INTO referencia_produccion (id, referencia_producto, talla, cantidad) "
                . "VALUES (NULL, '$class_referencia', '$class_talla', '$produccion_class')";
        if ($conn->query($sql_producion) === TRUE) {
            
        } else {

            echo "Error: " . $sql_producion . "<br>" . $conn->error;
        }
    }
}
//*****************************************************************************